System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.Binding DefaultConstructorConstraint System.ServiceModel.Configuration.StandardBindingElement System.ServiceModel.Configuration.BindingCollectionElement To be added. To be added. To be added.

Provides a base class for the configuration sections that specify predefined bindings provided by indigo1.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("", IsDefaultCollection=true, Options=System.Configuration.ConfigurationPropertyOptions.IsDefaultCollection)
  System.ServiceModel.Configuration.StandardBindingElementCollection<TBindingConfiguration> To be added. To be added.

  Gets all the standard bindings defined in this configuration section.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of this binding.

- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.ServiceModel.Configuration.IBindingConfigurationElement> To be added. To be added.

  Gets a collection of configured bindings objects.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether a binding exists in the collection using the specified name.

  true if the collection contains the binding with the specified ; otherwise, false.

  The name of the binding to be located.
- Method
  4.0.0.0
  System.ServiceModel.Channels.Binding To be added.

  Gets the default binding used.

  A object that represents the default binding.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a instance that contains a collection of objects that can be attributes or objects of this configuration element.

- Method
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Adds the specified binding to the collection.

  true if the binding can be added to this collection; otherwise, false.

  The name of the binding to be added. A object that represents the binding to be added. The configuration settings of this binding.